# Easy Setup (Hugo + Netlify + Forestry)
Build your website with meghna hugo theme by following this easy steps (No Coding Required)

<a href="http://www.youtube.com/watch?v=DbZKmZIPBLg" title="meghna hugo installation" rel="nofollow"><img width="100%" src="https://camo.githubusercontent.com/61f5ab511f89fe75970cd04f93c7579f0ba19c99/687474703a2f2f696d672e796f75747562652e636f6d2f76692f44625a4b6d5a4950424c672f302e6a7067" alt="meghna hugo installation" data-canonical-src="http://img.youtube.com/vi/DbZKmZIPBLg/0.jpg" style="max-width:100%;"></a>

In this tutorial we will show you to make your website live without buying any hosting and touching a single line of code.

### What you need !!

1. Git acccount (Ex: Github, Gitlab etc ) . In our case we use github.
2. [Netlify](https://www.netlify.com/) account to host files and add custom domain .
3. [Forestry](https://forestry.io/) account to maintain whole project without code.


### Step 1 : Fork or Clone repository

First we will fork this [meghna hugo](https://github.com/themefisher/meghna-hugo) template.

### Step 2 : Add your repository in Forestry

Go to your [forestry](https://forestry.io/)  account and click on `import your site now`. declare your config.toml file [`exampleSite/config.toml`] and fill up basic settings . Mark everything is done then go to configuration to change the base url . You can put any url but this have to similar as netlify . So for now put a name which you are going to put in netlify as netlify subdomain.

### Step 3 : Setup and host website with Netlify

Here comes the last step . Go to your [netlify](https://www.netlify.com/) account and click add new site . Choose your git repository to import your website in netlify .  And now you can see the forked `meghna hugo` theme. select it and follow the steps. Then go to `site settings` for change the site name and put your subdoamin name here what you puted on forestry as base url. save it and go to `deploy` from top menu, Wait a while and click on `site preview` or just simply go to the subdomain you puted as base url. **BOOM! Your site is live.** Now you can go to forestry and add, remove or customize every setting and content.

> If you face any issue regarding the installation feel free to onen [open a new issue](https://github.com/themefisher/meghna-hugo/issues)

## Table of Contents

- [Demo](#demo)
- [Installation (Old Way)](#installation)
- [Reporting Issues](#reporting-issues)
- [Technical Support or Questions](#technical-support-or-questions)
- [Licensing](#licensing)
- [More Hugo Themes](https://themefisher.com/hugo-themes/)

## Demo

<img src="https://user-images.githubusercontent.com/37659754/54068559-44d79a80-4278-11e9-9601-f58d6879989c.gif" alt="screenshot" width="100%">

**The images are only for demonstration purpose, Please don't use those images.**

[Live Demo](http://demo.themefisher.com/meghna-hugo/)

## Installation
At the top we have shown an easy hugo installation. but still if you think you want to go with the traditional way then use the following commands:

```
$ git clone git@github.com:themefisher/meghna-hugo.git
$ cd mehghna-hugo/exampleSite/
$ hugo server --themesDir ../..
```

[Full Documentation](http://demo.themefisher.com/meghna-hugo/blog/installation/).

## Reporting Issues

We use GitHub Issues as the official bug tracker for the Meghna Template. Please Search [existing issues](https://github.com/themefisher/meghna-hugo/issues). It’s possible someone has already reported the same problem.
If your problem or idea is not addressed yet, [open a new issue](https://github.com/themefisher/meghna-hugo/issues)

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](mailto:themefisher@gmail.com) instead of opening an issue.  

## Licensing

This Theme is released under [Creative Commons Attribution 3.0 (CC-BY-3.0) License](https://creativecommons.org/licenses/by/3.0/)
If you want to remove the credit simply make a [donation](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=GSG5G2YL3E5V4), so that we can run our contribution to hugo community.

## Hire Us
We are available for Hiring of your next HUGO project. Drop Us a mail [themefisher@gmail.com](mailto:themefisher@gmail.com)

## Premium Themes

| [![Mega-Bundle-HUGO](https://user-images.githubusercontent.com/37659754/63633830-30ddf480-c670-11e9-8a8b-04a142f8ffc1.png)](https://themefisher.com/products/hugo-mega-bundle/) | [![Bexer](https://user-images.githubusercontent.com/37659754/54068892-84ec4c80-427b-11e9-9952-5d455c259145.png)](https://themefisher.com/products/bexer-hugo-theme/) | [![orbitor](https://user-images.githubusercontent.com/37659754/68539222-411d8a00-03aa-11ea-8858-ede3e405657f.png)](https://gethugothemes.com/products/orbitor/) |
|:---:|:---:|:---:|
| **Hugo Mega Bundle**  | **Bexer**  | **Orbitor**  |
| [![red-lab](https://user-images.githubusercontent.com/37659754/68538974-17169880-03a7-11ea-9ff9-ef15706dc1a7.png)](https://gethugothemes.com/products/redlab-hugo/) | [![Agico](https://user-images.githubusercontent.com/37659754/57753899-16aa8700-770f-11e9-9a3d-d3fc45313fbd.png)](https://themefisher.com/products/agico-hugo-theme/) | [![enov](https://user-images.githubusercontent.com/37659754/68539205-0fa4be80-03aa-11ea-85aa-625cf5a79600.png)](https://gethugothemes.com/products/enov-hugo/) |
| **Red Lab** | **Agico** | **Enov** |
| [![Agen](https://user-images.githubusercontent.com/37659754/63633832-3a675c80-c670-11e9-8380-a7b5f8f82b76.png)](https://themefisher.com/products/agen-hugo-agency-template/) | [![Biztrox](https://user-images.githubusercontent.com/37659754/54068875-6ab26e80-427b-11e9-876e-4670bdacb975.png)](https://themefisher.com/products/biztrox-hugo-template/) |  [![all](https://user-images.githubusercontent.com/37659754/68989626-b6d69980-0873-11ea-8543-d8a3c5544040.jpg)](https://gethugothemes.com/shop/) |
| **Agen** | **Biztrox** | **More Hugo Themes** |